Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jboss.netty.handler.codec.compression
Enum ZlibWrapper

    java.lang.Object
      java.lang.Enum<ZlibWrapper>
          org.jboss.netty.handler.codec.compression.ZlibWrapper

All Implemented Interfaces:
  Serializable, Comparable<ZlibWrapper>

    public enum ZlibWrapper

extends Enum<ZlibWrapper>

The container file formats that wrap the stream compressed by the DEFLATE algorithm.

Version:
  $Rev: 2080 $, $Date: 2010-01-26 18:04:19 +0900 (Tue, 26 Jan 2010) $
Author:
  The Netty Project, Trustin Lee

Enum Constant Summary
`GZIP` The GZIP wrapper as specified in RFC 1952.
`NONE` Raw DEFLATE stream only (no header and no footer).
`ZLIB` The ZLIB wrapper as specified in RFC 1950.

Method Summary
`static ZlibWrapper` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ZlibWrapper[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ZLIB

    public static final ZlibWrapper ZLIB

  The ZLIB wrapper as specified in RFC 1950.

### GZIP

    public static final ZlibWrapper GZIP

  The GZIP wrapper as specified in RFC 1952.

### NONE

    public static final ZlibWrapper NONE

  Raw DEFLATE stream only (no header and no footer).

Method Detail

### values

    public static ZlibWrapper[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ZlibWrapper c : ZlibWrapper.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ZlibWrapper valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2008-2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.